com.h3c.sdn.nodemgr

## Interface NetworkNodeListener

-     public interface NetworkNodeListener

  A listener interested in hearing about end host related events.

  Classes implementing this interface may participate in learning the status of an end host. The `NodeService` will inform the registered listeners of end host status by invoking the appropriate callbacks, depending on whether the end host was added, removed, moved or changed.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nodeAdded(NetworkNode node)` Callback invoked when a new end host is learnt.
    `void` | `nodeIPV4AddrChanged(NetworkNode node)` Callback invoked when a network address has been added or removed from an end host.
    `void` | `nodeMoved(NetworkNode node)` Callback invoked when an end host has moved to a new port on the network.
    `void` | `nodeRemoved(NetworkNode node)` Callback invoked when the end host leaves the network.
    `void` | `nodeVlanChanged(NetworkNode node)` Callback invoked when a VLAN tag for the end host has been updated.
    `void` | `vidRemoved(VId vid)` Callback invoked when all end hosts for a VID are deleted.

- - ### Method Detail

    - #### nodeAdded

          void nodeAdded(NetworkNode node)

      Callback invoked when a new end host is learnt.
      Parameters:
        `node` - the end host that joined the network

    - #### nodeRemoved

          void nodeRemoved(NetworkNode node)

      Callback invoked when the end host leaves the network. This typically occurs when the port that end host is attached to goes down, or the switch it is attached to is dis-associated from the controller.
      Parameters:
        `node` - the node that was removed

    - #### nodeMoved

          void nodeMoved(NetworkNode node)

      Callback invoked when an end host has moved to a new port on the network. Note that either the switch or the port or both could lead to this change.
      Parameters:
        `node` - the node that moved

    - #### nodeIPV4AddrChanged

          void nodeIPV4AddrChanged(NetworkNode node)

      Callback invoked when a network address has been added or removed from an end host.
      Parameters:
        `node` - the end host whose IP address changed

    - #### nodeVlanChanged

          void nodeVlanChanged(NetworkNode node)

      Callback invoked when a VLAN tag for the end host has been updated.
      Parameters:
        `node` - the node that changed its VLAN

    - #### vidRemoved

          void vidRemoved(VId vid)

      Callback invoked when all end hosts for a VID are deleted.
      Parameters:
        `vid` - the vid for which all end hosts are deleted

Copyright © 2014. All Rights Reserved.